#
# spec file for package python-dasbus
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python3-dasbus
Version:        1.6
Release:        150400.5.69
Summary:        DBus library in Python 3
License:        LGPL-2.0-or-later
Group:          Development/Libraries/Python
URL:            https://github.com/rhinstaller/dasbus
Source:         https://github.com/rhinstaller/dasbus/releases/download/v%{version}/dasbus-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  gobject-introspection
Requires:       python3-gobject
BuildArch:      noarch
%python_subpackages

%description
DBus library in Python 3, based on GLib and inspired by pydbus.

%prep
%setup -q -n dasbus-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Jun  8 2021 predivan@mts.rs
- Update to dasbus-1.6
  * Allow to generate multiple output arguments (vponcova)
  * Support multiple output arguments (vponcova)
  * Add the is_tuple_of_one function (vponcova)
- Package changes:
  * Switch from PyPI to Github download.
* Wed May 19 2021 predivan@mts.rs
- Update to dasbus-1.5
  * Provide additional info about the DBus call (vponcova)
  * Rename TestMessageBus class to silence pytest warning (luca)
  * Fix the raise-missing-from warning (vponcova)
- Add gobject-introspection to BuildRequires
  Needed for typelib() requires auto-detection.
- Require python-gobject instead of python3-gobject
  Otherwise every built python flavor (3.6, 3.8, and 3.9) will depend on python 3.8.
* Mon Mar 15 2021 predivan@mts.rs
- Initial packaging.
